aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2015-03-26 17:00:12 -0300
committerSilvio Rhatto <rhatto@riseup.net>2015-03-26 17:00:12 -0300
commita1abdbfccd863c5eb393e78346fda800ba1c174f (patch)
tree015b2ed72115808a3ee04a28e232a348eeb41a16
parent2e908e923c7fa55ab16386ea582f57b35e0affaa (diff)
downloadhydra-a1abdbfccd863c5eb393e78346fda800ba1c174f.tar.gz
hydra-a1abdbfccd863c5eb393e78346fda800ba1c174f.tar.bz2
New hydra action module-branch
-rwxr-xr-xshare/hydra/module-branch37
1 files changed, 37 insertions, 0 deletions
diff --git a/share/hydra/module-branch b/share/hydra/module-branch
new file mode 100755
index 0000000..dc03276
--- /dev/null
+++ b/share/hydra/module-branch
@@ -0,0 +1,37 @@
+#!/bin/bash
+#
+# Change branch of a puppe module
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+MODULE="$1"
+BRANCH=${2:=master}
+
+if [ -z "$1" ]; then
+ exit
+elif [ -z "$HYDRA_FOLDER" ] || [ ! -e "$HYDRA_FOLDER/modules" ]; then
+ echo "Please make a symlink $HYDRA_FOLDER/modules pointing to your devel puppet modules."
+ exit 1
+fi
+
+# Update the module
+(
+ cd $PUPPET/modules/$MODULE
+ git checkout $BRANCH
+)